{"openapi":"3.1.0","info":{"title":"Eranative BFF","version":"4.1.0","description":"Registry'den üretilmiştir (packages/contracts/src/operations.ts). 58 operasyon."},"servers":[{"url":"/"}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ApiError":{"type":"object","properties":{"code":{"type":"string","enum":["VALIDATION","UNAUTHENTICATED","FORBIDDEN","NOT_FOUND","CONFLICT","VERSION_CONFLICT","IDEMPOTENCY_MISMATCH","SCOPE_CHANGED","MERCHANT_UNKNOWN","HYPOTHESIS_NOT_PUBLIC","OWNER_NOT_BOUND","BUDGET_EXHAUSTED","STATE_TRANSITION","GONE","RATE_OR_BUDGET","OWNER_UNAVAILABLE","INTERNAL"]},"message":{"type":"string"},"trace_id":{"type":"string"},"retryable":{"type":"boolean"},"details":{"type":"object","additionalProperties":{}}},"required":["code","message","trace_id","retryable"],"additionalProperties":false}}},"paths":{"/v1/transformation/preview":{"post":{"operationId":"transformation.preview","tags":["W-22"],"summary":"transformation.preview (PUBLIC; owner Eranative)","x-capability":"PUBLIC","x-owner":"Eranative","x-workset":"W-22","x-idempotent":false,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"catalog_version":{"type":"string"},"segment":{"type":"string","enum":["micro","small","medium","large"]},"currency":{"type":"string","enum":["EUR"]},"once":{"type":"string","pattern":"^\\d+\\.\\d{2}$"},"monthly":{"type":"string","pattern":"^\\d+\\.\\d{2}$"},"first_period_subtotal":{"type":"string","pattern":"^\\d+\\.\\d{2}$"},"monthly_groups":{"type":"array","items":{"type":"object","properties":{"billable_from":{"type":"string","enum":["go_live_acceptance","service_start"]},"amount":{"type":"string","pattern":"^\\d+\\.\\d{2}$"},"service_ids":{"type":"array","items":{"type":"string"}}},"required":["billable_from","amount","service_ids"],"additionalProperties":false}},"binding":{"type":"boolean","enum":[false]},"eligible_base":{"type":"boolean"},"checkout_eligible":{"type":"boolean"},"quote_reasons":{"type":"array","items":{"type":"string","enum":["EMPTY_SELECTION","ORGANISATION_SCOPE","MULTI_UNIT_SCOPE","CUSTOM_BUILD","PLATFORM_TARIFF_AND_INTEGRATION_REVIEW","MINIAPP_REQUIRES_WEB","LANGUAGE_SCOPE_REVIEW","GROWTH_SETUP_REVIEW","SOCIAL_CARE_REQUIRES_GROWTH"]}},"excluded_platform_ids":{"type":"array","items":{"type":"string"}},"agents":{"type":"object","properties":{"marketing":{"type":"integer"},"care":{"type":"integer"}},"required":["marketing","care"],"additionalProperties":false},"ai_call_quota_month":{"type":"integer"}},"required":["catalog_version","segment","currency","once","monthly","first_period_subtotal","monthly_groups","binding","eligible_base","checkout_eligible","quote_reasons","excluded_platform_ids","agents","ai_call_quota_month"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"catalog_version":{"type":"string"},"profile":{"type":"object","properties":{"employees":{"type":"integer","minimum":1,"maximum":1000000},"departments":{"type":"integer","minimum":1,"maximum":10000},"branches":{"type":"integer","minimum":1,"maximum":10000},"sector":{"type":"string","maxLength":80},"custom":{"type":"boolean"},"existing_web":{"type":"boolean"}},"required":["employees","departments","branches","sector","custom","existing_web"],"additionalProperties":false},"service_ids":{"type":"array","items":{"type":"string"},"maxItems":8},"platform_ids":{"type":"array","items":{"type":"string"},"maxItems":16}},"required":["catalog_version","profile","service_ids","platform_ids"],"additionalProperties":false}}}}}},"/v1/transformation/requests":{"post":{"operationId":"transformation.request","tags":["W-23"],"summary":"transformation.request (brief.write; owner Eranative)","x-capability":"brief.write","x-owner":"Eranative","x-workset":"W-23","x-idempotent":true,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"brief_id":{"type":"string","format":"uuid"},"state":{"type":"string","enum":["REQUESTED"]},"version":{"type":"integer"},"preview":{"type":"object","properties":{"catalog_version":{"type":"string"},"segment":{"type":"string","enum":["micro","small","medium","large"]},"currency":{"type":"string","enum":["EUR"]},"once":{"type":"string","pattern":"^\\d+\\.\\d{2}$"},"monthly":{"type":"string","pattern":"^\\d+\\.\\d{2}$"},"first_period_subtotal":{"type":"string","pattern":"^\\d+\\.\\d{2}$"},"monthly_groups":{"type":"array","items":{"type":"object","properties":{"billable_from":{"type":"string","enum":["go_live_acceptance","service_start"]},"amount":{"type":"string","pattern":"^\\d+\\.\\d{2}$"},"service_ids":{"type":"array","items":{"type":"string"}}},"required":["billable_from","amount","service_ids"],"additionalProperties":false}},"binding":{"type":"boolean","enum":[false]},"eligible_base":{"type":"boolean"},"checkout_eligible":{"type":"boolean"},"quote_reasons":{"type":"array","items":{"type":"string","enum":["EMPTY_SELECTION","ORGANISATION_SCOPE","MULTI_UNIT_SCOPE","CUSTOM_BUILD","PLATFORM_TARIFF_AND_INTEGRATION_REVIEW","MINIAPP_REQUIRES_WEB","LANGUAGE_SCOPE_REVIEW","GROWTH_SETUP_REVIEW","SOCIAL_CARE_REQUIRES_GROWTH"]}},"excluded_platform_ids":{"type":"array","items":{"type":"string"}},"agents":{"type":"object","properties":{"marketing":{"type":"integer"},"care":{"type":"integer"}},"required":["marketing","care"],"additionalProperties":false},"ai_call_quota_month":{"type":"integer"}},"required":["catalog_version","segment","currency","once","monthly","first_period_subtotal","monthly_groups","binding","eligible_base","checkout_eligible","quote_reasons","excluded_platform_ids","agents","ai_call_quota_month"],"additionalProperties":false},"brief_reused":{"type":"boolean"},"joinn_bound":{"type":"boolean"}},"required":["id","brief_id","state","version","preview"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"catalog_version":{"type":"string"},"profile":{"type":"object","properties":{"employees":{"type":"integer","minimum":1,"maximum":1000000},"departments":{"type":"integer","minimum":1,"maximum":10000},"branches":{"type":"integer","minimum":1,"maximum":10000},"sector":{"type":"string","maxLength":80},"custom":{"type":"boolean"},"existing_web":{"type":"boolean"}},"required":["employees","departments","branches","sector","custom","existing_web"],"additionalProperties":false},"service_ids":{"type":"array","items":{"type":"string"},"maxItems":8},"platform_ids":{"type":"array","items":{"type":"string"},"maxItems":16},"notes":{"type":"string","maxLength":4000,"default":""},"draft_token":{"type":"string","pattern":"^[A-Za-z0-9_-]{43}$"},"existing_brief_id":{"type":"string","format":"uuid"},"expected_brief_version":{"type":"integer","minimum":1},"solution_interests":{"type":"array","items":{"type":"object","properties":{"platform_id":{"type":"string","minLength":1,"maxLength":80},"intent":{"type":"string","enum":["INTERESTED","ALREADY_USING","NOT_NOW"]}},"required":["platform_id","intent"],"additionalProperties":false},"maxItems":40,"default":[]},"joinn_ref":{"type":"string","format":"uuid"}},"required":["catalog_version","profile","service_ids","platform_ids"],"additionalProperties":false}}}}},"get":{"operationId":"transformation.requests","tags":["W-23"],"summary":"transformation.requests (brief.read; owner Eranative)","x-capability":"brief.read","x-owner":"Eranative","x-workset":"W-23","x-idempotent":false,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"brief_id":{"type":"string","format":"uuid"},"state":{"type":"string","enum":["REQUESTED","SCOPING","QUOTED","ACCEPTED","CLOSED"]},"version":{"type":"integer"},"quote_ref":{"type":"string","nullable":true},"state_reason":{"type":"string"},"selection":{"type":"object","properties":{"catalog_version":{"type":"string"},"profile":{"type":"object","properties":{"employees":{"type":"integer","minimum":1,"maximum":1000000},"departments":{"type":"integer","minimum":1,"maximum":10000},"branches":{"type":"integer","minimum":1,"maximum":10000},"sector":{"type":"string","maxLength":80},"custom":{"type":"boolean"},"existing_web":{"type":"boolean"}},"required":["employees","departments","branches","sector","custom","existing_web"],"additionalProperties":false},"service_ids":{"type":"array","items":{"type":"string"},"maxItems":8},"platform_ids":{"type":"array","items":{"type":"string"},"maxItems":16}},"required":["catalog_version","profile","service_ids","platform_ids"],"additionalProperties":false},"preview":{"type":"object","properties":{"catalog_version":{"type":"string"},"segment":{"type":"string","enum":["micro","small","medium","large"]},"currency":{"type":"string","enum":["EUR"]},"once":{"type":"string","pattern":"^\\d+\\.\\d{2}$"},"monthly":{"type":"string","pattern":"^\\d+\\.\\d{2}$"},"first_period_subtotal":{"type":"string","pattern":"^\\d+\\.\\d{2}$"},"monthly_groups":{"type":"array","items":{"type":"object","properties":{"billable_from":{"type":"string","enum":["go_live_acceptance","service_start"]},"amount":{"type":"string","pattern":"^\\d+\\.\\d{2}$"},"service_ids":{"type":"array","items":{"type":"string"}}},"required":["billable_from","amount","service_ids"],"additionalProperties":false}},"binding":{"type":"boolean","enum":[false]},"eligible_base":{"type":"boolean"},"checkout_eligible":{"type":"boolean"},"quote_reasons":{"type":"array","items":{"type":"string","enum":["EMPTY_SELECTION","ORGANISATION_SCOPE","MULTI_UNIT_SCOPE","CUSTOM_BUILD","PLATFORM_TARIFF_AND_INTEGRATION_REVIEW","MINIAPP_REQUIRES_WEB","LANGUAGE_SCOPE_REVIEW","GROWTH_SETUP_REVIEW","SOCIAL_CARE_REQUIRES_GROWTH"]}},"excluded_platform_ids":{"type":"array","items":{"type":"string"}},"agents":{"type":"object","properties":{"marketing":{"type":"integer"},"care":{"type":"integer"}},"required":["marketing","care"],"additionalProperties":false},"ai_call_quota_month":{"type":"integer"}},"required":["catalog_version","segment","currency","once","monthly","first_period_subtotal","monthly_groups","binding","eligible_base","checkout_eligible","quote_reasons","excluded_platform_ids","agents","ai_call_quota_month"],"additionalProperties":false},"solution_interests":{"type":"array","items":{"type":"object","properties":{"platform_id":{"type":"string","minLength":1,"maxLength":80},"intent":{"type":"string","enum":["INTERESTED","ALREADY_USING","NOT_NOW"]}},"required":["platform_id","intent"],"additionalProperties":false}},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"}},"required":["id","brief_id","state","version","quote_ref","state_reason","selection","preview","created_at","updated_at"],"additionalProperties":false}}},"required":["items"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}]}},"/v1/transformation/recommendations":{"post":{"operationId":"transformation.recommendations","tags":["W-22"],"summary":"transformation.recommendations (PUBLIC; owner Eranative)","x-capability":"PUBLIC","x-owner":"Eranative","x-workset":"W-22","x-idempotent":false,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"enabled":{"type":"boolean"},"catalog_version":{"type":"string"},"brief_version":{"type":"integer","nullable":true},"recommended":{"type":"array","items":{"type":"object","properties":{"platform_id":{"type":"string"},"name":{"type":"string"},"priority":{"type":"integer"},"lifecycle":{"type":"string","enum":["LIVE","BETA","COMING","RETIRED"]},"integration_readiness":{"type":"string","enum":["UNVERIFIED","DISCOVERY","SANDBOX_VERIFIED","PRODUCTION_VERIFIED"]},"stage":{"type":"string","enum":["Discover","Diagnose","Recommend","Scope","Proposal","Approval","Implementation","CustomerSuccess"]},"reason":{"type":"object","properties":{"kind":{"type":"string","enum":["SECTOR","NEED"]},"needs":{"type":"array","items":{"type":"string","enum":["physical_risk","weather","field_operations","margin","commercial_loss","finance","accounting","partner_growth","relocation","international_education","ai_security","data_access","accessibility","creative_content","digital_presence","operations"]}}},"required":["kind","needs"],"additionalProperties":false},"interest_only":{"type":"boolean"},"price_mode":{"type":"string","enum":["OWNER_TARIFF","REQUEST_QUOTE"]},"checkout_allowed":{"type":"boolean","enum":[false]}},"required":["platform_id","name","priority","lifecycle","integration_readiness","stage","reason","interest_only","price_mode","checkout_allowed"],"additionalProperties":false},"maxItems":3},"additional":{"type":"array","items":{"type":"object","properties":{"platform_id":{"type":"string"},"name":{"type":"string"},"priority":{"type":"integer"},"lifecycle":{"type":"string","enum":["LIVE","BETA","COMING","RETIRED"]},"integration_readiness":{"type":"string","enum":["UNVERIFIED","DISCOVERY","SANDBOX_VERIFIED","PRODUCTION_VERIFIED"]},"stage":{"type":"string","enum":["Discover","Diagnose","Recommend","Scope","Proposal","Approval","Implementation","CustomerSuccess"]},"reason":{"type":"object","properties":{"kind":{"type":"string","enum":["SECTOR","NEED"]},"needs":{"type":"array","items":{"type":"string","enum":["physical_risk","weather","field_operations","margin","commercial_loss","finance","accounting","partner_growth","relocation","international_education","ai_security","data_access","accessibility","creative_content","digital_presence","operations"]}}},"required":["kind","needs"],"additionalProperties":false},"interest_only":{"type":"boolean"},"price_mode":{"type":"string","enum":["OWNER_TARIFF","REQUEST_QUOTE"]},"checkout_allowed":{"type":"boolean","enum":[false]}},"required":["platform_id","name","priority","lifecycle","integration_readiness","stage","reason","interest_only","price_mode","checkout_allowed"],"additionalProperties":false}},"assessments":{"type":"array","items":{"type":"object","properties":{"platform_id":{"type":"string"},"state":{"type":"string","enum":["APPROPRIATE","NOT_PRIORITY","INFO_MISSING","NOT_ASSESSED"]},"required_purchase":{"type":"boolean","enum":[false]}},"required":["platform_id","state","required_purchase"],"additionalProperties":false}},"missing_fields":{"type":"array","items":{"type":"string","enum":["sector","needs"]}},"snapshot_ref":{"type":"string","nullable":true}},"required":["enabled","catalog_version","brief_version","recommended","additional","assessments","missing_fields","snapshot_ref"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"brief_id":{"type":"string","format":"uuid"},"expected_brief_version":{"type":"integer","minimum":1},"profile":{"type":"object","properties":{"sector":{"type":"string","maxLength":80},"employees":{"type":"integer","minimum":1,"maximum":1000000},"needs":{"type":"array","items":{"type":"string","enum":["physical_risk","weather","field_operations","margin","commercial_loss","finance","accounting","partner_growth","relocation","international_education","ai_security","data_access","accessibility","creative_content","digital_presence","operations"]},"maxItems":16,"default":[]},"country":{"type":"string","pattern":"^[A-Z]{2}$"},"language":{"type":"string","minLength":2,"maxLength":8}},"required":["sector","employees"],"additionalProperties":false},"assessments":{"type":"object","required":["safeus","accesspulse","metory","marginera"],"properties":{"safeus":{"type":"string","enum":["APPROPRIATE","NOT_PRIORITY","INFO_MISSING","NOT_ASSESSED"]},"accesspulse":{"type":"string","enum":["APPROPRIATE","NOT_PRIORITY","INFO_MISSING","NOT_ASSESSED"]},"metory":{"type":"string","enum":["APPROPRIATE","NOT_PRIORITY","INFO_MISSING","NOT_ASSESSED"]},"marginera":{"type":"string","enum":["APPROPRIATE","NOT_PRIORITY","INFO_MISSING","NOT_ASSESSED"]}},"additionalProperties":false,"default":{}}},"required":["profile"],"additionalProperties":false}}}}}},"/v1/transformation/requests/{id}/solution-interests":{"post":{"operationId":"transformation.solution_interests","tags":["W-23"],"summary":"transformation.solution_interests (brief.write; owner Eranative)","x-capability":"brief.write","x-owner":"Eranative","x-workset":"W-23","x-idempotent":true,"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"version":{"type":"integer"},"solution_interests":{"type":"array","items":{"type":"object","properties":{"platform_id":{"type":"string","minLength":1,"maxLength":80},"intent":{"type":"string","enum":["INTERESTED","ALREADY_USING","NOT_NOW"]}},"required":["platform_id","intent"],"additionalProperties":false}}},"required":["id","version","solution_interests"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"expected_version":{"type":"integer","minimum":1},"solution_interests":{"type":"array","items":{"type":"object","properties":{"platform_id":{"type":"string","minLength":1,"maxLength":80},"intent":{"type":"string","enum":["INTERESTED","ALREADY_USING","NOT_NOW"]}},"required":["platform_id","intent"],"additionalProperties":false},"maxItems":40}},"required":["expected_version","solution_interests"],"additionalProperties":false}}}}}},"/v1/transformation/requests/{id}/joinn-attribution":{"post":{"operationId":"transformation.joinn_attribution","tags":["W-23"],"summary":"transformation.joinn_attribution (brief.write; owner Eranative)","x-capability":"brief.write","x-owner":"Eranative","x-workset":"W-23","x-idempotent":true,"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"request_id":{"type":"string","format":"uuid"},"attribution_ref":{"type":"string"},"opportunity_ref":{"type":"string"},"receipt_ref":{"type":"string"},"verified_at":{"type":"string","format":"date-time"},"replayed":{"type":"boolean"}},"required":["request_id","attribution_ref","opportunity_ref","receipt_ref","verified_at","replayed"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"expected_version":{"type":"integer","minimum":1},"proof":{"type":"string","minLength":8,"maxLength":4096},"consent_ref":{"type":"string","minLength":1,"maxLength":200}},"required":["expected_version","proof","consent_ref"],"additionalProperties":false}}}}}},"/v1/transformation/requests/{id}/transitions":{"post":{"operationId":"transformation.transition","tags":["W-23"],"summary":"transformation.transition (transformation.transition; owner Eranative)","x-capability":"transformation.transition","x-owner":"Eranative","x-workset":"W-23","x-idempotent":true,"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"state":{"type":"string","enum":["REQUESTED","SCOPING","QUOTED","ACCEPTED","CLOSED"]},"version":{"type":"integer"},"quote_ref":{"type":"string","nullable":true}},"required":["id","state","version","quote_ref"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"expected_version":{"type":"integer","minimum":1},"target":{"type":"string","enum":["REQUESTED","SCOPING","QUOTED","ACCEPTED","CLOSED"]},"reason":{"type":"string","maxLength":2000,"default":""},"quote_ref":{"type":"string","minLength":1,"maxLength":200}},"required":["expected_version","target"],"additionalProperties":false}}}}}},"/v1/transformation/drafts":{"post":{"operationId":"transformation.draft.save","tags":["W-23"],"summary":"transformation.draft.save (PUBLIC; owner Eranative)","x-capability":"PUBLIC","x-owner":"Eranative","x-workset":"W-23","x-idempotent":false,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"token":{"type":"string"},"expires_at":{"type":"string","format":"date-time"}},"required":["token","expires_at"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"token":{"type":"string","pattern":"^[A-Za-z0-9_-]{43}$"},"selection":{"type":"object","properties":{"catalog_version":{"type":"string"},"profile":{"type":"object","properties":{"employees":{"type":"integer","minimum":1,"maximum":1000000},"departments":{"type":"integer","minimum":1,"maximum":10000},"branches":{"type":"integer","minimum":1,"maximum":10000},"sector":{"type":"string","maxLength":80},"custom":{"type":"boolean"},"existing_web":{"type":"boolean"}},"required":["employees","departments","branches","sector","custom","existing_web"],"additionalProperties":false},"service_ids":{"type":"array","items":{"type":"string"},"maxItems":8},"platform_ids":{"type":"array","items":{"type":"string"},"maxItems":16}},"required":["catalog_version","profile","service_ids","platform_ids"],"additionalProperties":false},"notes":{"type":"string","maxLength":4000,"default":""}},"required":["selection"],"additionalProperties":false}}}}}},"/v1/transformation/drafts/resolve":{"post":{"operationId":"transformation.draft.resolve","tags":["W-23"],"summary":"transformation.draft.resolve (PUBLIC; owner Eranative)","x-capability":"PUBLIC","x-owner":"Eranative","x-workset":"W-23","x-idempotent":false,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"selection":{"type":"object","properties":{"catalog_version":{"type":"string"},"profile":{"type":"object","properties":{"employees":{"type":"integer","minimum":1,"maximum":1000000},"departments":{"type":"integer","minimum":1,"maximum":10000},"branches":{"type":"integer","minimum":1,"maximum":10000},"sector":{"type":"string","maxLength":80},"custom":{"type":"boolean"},"existing_web":{"type":"boolean"}},"required":["employees","departments","branches","sector","custom","existing_web"],"additionalProperties":false},"service_ids":{"type":"array","items":{"type":"string"},"maxItems":8},"platform_ids":{"type":"array","items":{"type":"string"},"maxItems":16}},"required":["catalog_version","profile","service_ids","platform_ids"],"additionalProperties":false},"notes":{"type":"string"},"expires_at":{"type":"string","format":"date-time"},"claimed":{"type":"boolean"}},"required":["selection","notes","expires_at","claimed"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"token":{"type":"string","pattern":"^[A-Za-z0-9_-]{43}$"}},"required":["token"],"additionalProperties":false}}}}}},"/v1/catalog":{"get":{"operationId":"catalog.list","tags":["W-03"],"summary":"catalog.list (PUBLIC; owner M7/catalog)","x-capability":"PUBLIC","x-owner":"M7/catalog","x-workset":"W-03","x-idempotent":false,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"capability_id":{"type":"string"},"title":{"type":"string"},"commercial_state":{"type":"string","enum":["INTEREST","QUOTABLE","PURCHASABLE","PROVISIONING","ACTIVE","SUSPENDED","CANCEL_AT_TERM","CANCELLED"]},"price_status":{"type":"string","enum":["APPROVED_ESTIMATE_RANGE","BINDING_QUOTE","ACTIVE_TARIFF","OFFER_REQUIRED"]},"price":{"type":"object","properties":{"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"amount":{"type":"string","pattern":"^-?\\d+(\\.\\d{1,8})?$"}},"required":["currency","amount"],"additionalProperties":false,"nullable":true},"cadence":{"type":"string","enum":["once","monthly","variable"]},"unit":{"type":"string"}},"required":["capability_id","title","commercial_state","price_status","price","cadence"],"additionalProperties":false}}},"required":["items"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[]}},"/v1/session":{"get":{"operationId":"session.read","tags":["W-04"],"summary":"session.read (authenticated; owner M4/M8)","x-capability":"authenticated","x-owner":"M4/M8","x-workset":"W-04","x-idempotent":false,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"actor_ref":{"type":"string","format":"uuid"},"tenant_ref":{"type":"string","format":"uuid"},"roles":{"type":"array","items":{"type":"string","enum":["owner","billing","catalog","support","viewer","employee","department_manager","customer","partner","finance","studio_architect","delivery_operator","ops","founder"]}},"locale":{"type":"string","enum":["tr","en","es","de","fr","it","pt","zh","ja","ar","ur","hi","pl","nl","sv","da","nb","ru","uk","fi","cs","sk","hu","ro","el","bg","hr","sl","et","lv","lt","ca"]},"simulated_owners":{"type":"array","items":{"type":"string"}}},"required":["actor_ref","tenant_ref","roles","locale","simulated_owners"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}]}},"/v1/workspaces":{"post":{"operationId":"workspace.create","tags":["W-04"],"summary":"workspace.create (workspace.create; owner M4/M8)","x-capability":"workspace.create","x-owner":"M4/M8","x-workset":"W-04","x-idempotent":true,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"tenant_id":{"type":"string","format":"uuid"},"receipt":{"type":"object","properties":{"ownerRef":{"type":"string","minLength":1,"maxLength":256},"resourceRef":{"type":"string","minLength":1,"maxLength":256},"revision":{"type":"string"},"auditRef":{"type":"string","minLength":1,"maxLength":256},"synthetic":{"type":"boolean","default":false}},"required":["ownerRef","resourceRef","revision","auditRef"],"additionalProperties":false}},"required":["tenant_id","receipt"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","minLength":1},"country":{"type":"string","minLength":2,"maxLength":2},"primary_locale":{"type":"string","enum":["tr","en","es","de","fr","it","pt","zh","ja","ar","ur","hi","pl","nl","sv","da","nb","ru","uk","fi","cs","sk","hu","ro","el","bg","hr","sl","et","lv","lt","ca"]},"sector":{"type":"string"}},"required":["name","country","primary_locale","sector"],"additionalProperties":false}}}}}},"/v1/invitations":{"post":{"operationId":"membership.invite","tags":["W-04"],"summary":"membership.invite (membership.invite; owner M4/M8)","x-capability":"membership.invite","x-owner":"M4/M8","x-workset":"W-04","x-idempotent":true,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"invitation_id":{"type":"string","format":"uuid"},"receipt":{"type":"object","properties":{"ownerRef":{"type":"string","minLength":1,"maxLength":256},"resourceRef":{"type":"string","minLength":1,"maxLength":256},"revision":{"type":"string"},"auditRef":{"type":"string","minLength":1,"maxLength":256},"synthetic":{"type":"boolean","default":false}},"required":["ownerRef","resourceRef","revision","auditRef"],"additionalProperties":false}},"required":["invitation_id","receipt"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","format":"email"},"role":{"type":"string","enum":["owner","billing","catalog","support","viewer","employee","department_manager","customer","partner","finance","studio_architect","delivery_operator","ops","founder"]},"org_unit_id":{"type":"string","format":"uuid","nullable":true,"default":null}},"required":["email","role"],"additionalProperties":false}}}}}},"/v1/briefs":{"post":{"operationId":"brief.create","tags":["W-06"],"summary":"brief.create (brief.write; owner Eranative)","x-capability":"brief.write","x-owner":"Eranative","x-workset":"W-06","x-idempotent":true,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"tenant_id":{"type":"string","format":"uuid"},"id":{"type":"string","format":"uuid"},"version":{"type":"integer","exclusiveMinimum":true,"minimum":0},"state":{"type":"string","enum":["DRAFT","SUBMITTED","REVIEWED","ARCHIVED"]},"company":{"type":"object","properties":{"name":{"type":"string"},"sector":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2},"employee_band":{"type":"string"},"branches":{"type":"integer","minimum":0},"departments":{"type":"array","items":{"type":"string"}},"primary_locale":{"type":"string","enum":["tr","en","es","de","fr","it","pt","zh","ja","ar","ur","hi","pl","nl","sv","da","nb","ru","uk","fi","cs","sk","hu","ro","el","bg","hr","sl","et","lv","lt","ca"]},"website_url":{"type":"string","format":"uri"}},"required":["name","sector","country","employee_band","branches","departments","primary_locale"],"additionalProperties":false},"existing_systems":{"type":"array","items":{"type":"object","properties":{"kind":{"type":"string"},"name":{"type":"string"},"api_access":{"type":"string","enum":["none","read","read_write","unknown"]}},"required":["kind","name","api_access"],"additionalProperties":false}},"goals":{"type":"object","properties":{"processes":{"type":"array","items":{"type":"string"}},"product_count_band":{"type":"string"},"channels":{"type":"array","items":{"type":"string"}},"roles":{"type":"array","items":{"type":"string"}},"traffic_band":{"type":"string"},"ai_needs":{"type":"array","items":{"type":"string"}},"budget_band":{"type":"string"},"support_expectation":{"type":"string"}},"required":["processes","product_count_band","channels","roles","traffic_band","ai_needs","budget_band","support_expectation"],"additionalProperties":false},"build":{"type":"object","properties":{"web_mode":{"type":"string","enum":["NEW","INTEGRATE_EXISTING","NONE"]},"mini_app":{"type":"boolean"},"extra_locales":{"type":"array","items":{"type":"string","enum":["tr","en","es","de","fr","it","pt","zh","ja","ar","ur","hi","pl","nl","sv","da","nb","ru","uk","fi","cs","sk","hu","ro","el","bg","hr","sl","et","lv","lt","ca"]}},"social_setup":{"type":"boolean"}},"required":["web_mode","mini_app","extra_locales","social_setup"],"additionalProperties":false},"products":{"type":"array","items":{"type":"string"}},"operations":{"type":"object","properties":{"level":{"type":"string","enum":["Launch","Operate","Dedicated"]},"support_hours":{"type":"string"},"slo_target":{"type":"string"},"ai_payment_mode":{"type":"string","enum":["prepaid","payg"]}},"required":["level","support_hours","slo_target","ai_payment_mode"],"additionalProperties":false}},"required":["tenant_id","id","version","state","company","existing_systems","goals","build","products","operations"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"company":{"type":"object","properties":{"name":{"type":"string"},"sector":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2},"employee_band":{"type":"string"},"branches":{"type":"integer","minimum":0},"departments":{"type":"array","items":{"type":"string"}},"primary_locale":{"type":"string","enum":["tr","en","es","de","fr","it","pt","zh","ja","ar","ur","hi","pl","nl","sv","da","nb","ru","uk","fi","cs","sk","hu","ro","el","bg","hr","sl","et","lv","lt","ca"]},"website_url":{"type":"string","format":"uri"}},"required":["name","sector","country","employee_band","branches","departments","primary_locale"],"additionalProperties":false},"existing_systems":{"type":"array","items":{"type":"object","properties":{"kind":{"type":"string"},"name":{"type":"string"},"api_access":{"type":"string","enum":["none","read","read_write","unknown"]}},"required":["kind","name","api_access"],"additionalProperties":false}},"goals":{"type":"object","properties":{"processes":{"type":"array","items":{"type":"string"}},"product_count_band":{"type":"string"},"channels":{"type":"array","items":{"type":"string"}},"roles":{"type":"array","items":{"type":"string"}},"traffic_band":{"type":"string"},"ai_needs":{"type":"array","items":{"type":"string"}},"budget_band":{"type":"string"},"support_expectation":{"type":"string"}},"required":["processes","product_count_band","channels","roles","traffic_band","ai_needs","budget_band","support_expectation"],"additionalProperties":false},"build":{"type":"object","properties":{"web_mode":{"type":"string","enum":["NEW","INTEGRATE_EXISTING","NONE"]},"mini_app":{"type":"boolean"},"extra_locales":{"type":"array","items":{"type":"string","enum":["tr","en","es","de","fr","it","pt","zh","ja","ar","ur","hi","pl","nl","sv","da","nb","ru","uk","fi","cs","sk","hu","ro","el","bg","hr","sl","et","lv","lt","ca"]}},"social_setup":{"type":"boolean"}},"required":["web_mode","mini_app","extra_locales","social_setup"],"additionalProperties":false},"products":{"type":"array","items":{"type":"string"}},"operations":{"type":"object","properties":{"level":{"type":"string","enum":["Launch","Operate","Dedicated"]},"support_hours":{"type":"string"},"slo_target":{"type":"string"},"ai_payment_mode":{"type":"string","enum":["prepaid","payg"]}},"required":["level","support_hours","slo_target","ai_payment_mode"],"additionalProperties":false}},"additionalProperties":false}}}}}},"/v1/briefs/{id}":{"patch":{"operationId":"brief.update","tags":["W-06"],"summary":"brief.update (brief.write; owner Eranative)","x-capability":"brief.write","x-owner":"Eranative","x-workset":"W-06","x-idempotent":true,"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"tenant_id":{"type":"string","format":"uuid"},"id":{"type":"string","format":"uuid"},"version":{"type":"integer","exclusiveMinimum":true,"minimum":0},"state":{"type":"string","enum":["DRAFT","SUBMITTED","REVIEWED","ARCHIVED"]},"company":{"type":"object","properties":{"name":{"type":"string"},"sector":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2},"employee_band":{"type":"string"},"branches":{"type":"integer","minimum":0},"departments":{"type":"array","items":{"type":"string"}},"primary_locale":{"type":"string","enum":["tr","en","es","de","fr","it","pt","zh","ja","ar","ur","hi","pl","nl","sv","da","nb","ru","uk","fi","cs","sk","hu","ro","el","bg","hr","sl","et","lv","lt","ca"]},"website_url":{"type":"string","format":"uri"}},"required":["name","sector","country","employee_band","branches","departments","primary_locale"],"additionalProperties":false},"existing_systems":{"type":"array","items":{"type":"object","properties":{"kind":{"type":"string"},"name":{"type":"string"},"api_access":{"type":"string","enum":["none","read","read_write","unknown"]}},"required":["kind","name","api_access"],"additionalProperties":false}},"goals":{"type":"object","properties":{"processes":{"type":"array","items":{"type":"string"}},"product_count_band":{"type":"string"},"channels":{"type":"array","items":{"type":"string"}},"roles":{"type":"array","items":{"type":"string"}},"traffic_band":{"type":"string"},"ai_needs":{"type":"array","items":{"type":"string"}},"budget_band":{"type":"string"},"support_expectation":{"type":"string"}},"required":["processes","product_count_band","channels","roles","traffic_band","ai_needs","budget_band","support_expectation"],"additionalProperties":false},"build":{"type":"object","properties":{"web_mode":{"type":"string","enum":["NEW","INTEGRATE_EXISTING","NONE"]},"mini_app":{"type":"boolean"},"extra_locales":{"type":"array","items":{"type":"string","enum":["tr","en","es","de","fr","it","pt","zh","ja","ar","ur","hi","pl","nl","sv","da","nb","ru","uk","fi","cs","sk","hu","ro","el","bg","hr","sl","et","lv","lt","ca"]}},"social_setup":{"type":"boolean"}},"required":["web_mode","mini_app","extra_locales","social_setup"],"additionalProperties":false},"products":{"type":"array","items":{"type":"string"}},"operations":{"type":"object","properties":{"level":{"type":"string","enum":["Launch","Operate","Dedicated"]},"support_hours":{"type":"string"},"slo_target":{"type":"string"},"ai_payment_mode":{"type":"string","enum":["prepaid","payg"]}},"required":["level","support_hours","slo_target","ai_payment_mode"],"additionalProperties":false}},"required":["tenant_id","id","version","state","company","existing_systems","goals","build","products","operations"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"expected_version":{"type":"integer"},"patch":{"type":"object","properties":{"company":{"type":"object","properties":{"name":{"type":"string"},"sector":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2},"employee_band":{"type":"string"},"branches":{"type":"integer","minimum":0},"departments":{"type":"array","items":{"type":"string"}},"primary_locale":{"type":"string","enum":["tr","en","es","de","fr","it","pt","zh","ja","ar","ur","hi","pl","nl","sv","da","nb","ru","uk","fi","cs","sk","hu","ro","el","bg","hr","sl","et","lv","lt","ca"]},"website_url":{"type":"string","format":"uri"}},"required":["name","sector","country","employee_band","branches","departments","primary_locale"],"additionalProperties":false},"existing_systems":{"type":"array","items":{"type":"object","properties":{"kind":{"type":"string"},"name":{"type":"string"},"api_access":{"type":"string","enum":["none","read","read_write","unknown"]}},"required":["kind","name","api_access"],"additionalProperties":false}},"goals":{"type":"object","properties":{"processes":{"type":"array","items":{"type":"string"}},"product_count_band":{"type":"string"},"channels":{"type":"array","items":{"type":"string"}},"roles":{"type":"array","items":{"type":"string"}},"traffic_band":{"type":"string"},"ai_needs":{"type":"array","items":{"type":"string"}},"budget_band":{"type":"string"},"support_expectation":{"type":"string"}},"required":["processes","product_count_band","channels","roles","traffic_band","ai_needs","budget_band","support_expectation"],"additionalProperties":false},"build":{"type":"object","properties":{"web_mode":{"type":"string","enum":["NEW","INTEGRATE_EXISTING","NONE"]},"mini_app":{"type":"boolean"},"extra_locales":{"type":"array","items":{"type":"string","enum":["tr","en","es","de","fr","it","pt","zh","ja","ar","ur","hi","pl","nl","sv","da","nb","ru","uk","fi","cs","sk","hu","ro","el","bg","hr","sl","et","lv","lt","ca"]}},"social_setup":{"type":"boolean"}},"required":["web_mode","mini_app","extra_locales","social_setup"],"additionalProperties":false},"products":{"type":"array","items":{"type":"string"}},"operations":{"type":"object","properties":{"level":{"type":"string","enum":["Launch","Operate","Dedicated"]},"support_hours":{"type":"string"},"slo_target":{"type":"string"},"ai_payment_mode":{"type":"string","enum":["prepaid","payg"]}},"required":["level","support_hours","slo_target","ai_payment_mode"],"additionalProperties":false}},"additionalProperties":false}},"required":["expected_version","patch"],"additionalProperties":false}}}}},"get":{"operationId":"brief.get","tags":["W-06"],"summary":"brief.get (brief.read; owner Eranative)","x-capability":"brief.read","x-owner":"Eranative","x-workset":"W-06","x-idempotent":false,"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"tenant_id":{"type":"string","format":"uuid"},"id":{"type":"string","format":"uuid"},"version":{"type":"integer","exclusiveMinimum":true,"minimum":0},"state":{"type":"string","enum":["DRAFT","SUBMITTED","REVIEWED","ARCHIVED"]},"company":{"type":"object","properties":{"name":{"type":"string"},"sector":{"type":"string"},"country":{"type":"string","minLength":2,"maxLength":2},"employee_band":{"type":"string"},"branches":{"type":"integer","minimum":0},"departments":{"type":"array","items":{"type":"string"}},"primary_locale":{"type":"string","enum":["tr","en","es","de","fr","it","pt","zh","ja","ar","ur","hi","pl","nl","sv","da","nb","ru","uk","fi","cs","sk","hu","ro","el","bg","hr","sl","et","lv","lt","ca"]},"website_url":{"type":"string","format":"uri"}},"required":["name","sector","country","employee_band","branches","departments","primary_locale"],"additionalProperties":false},"existing_systems":{"type":"array","items":{"type":"object","properties":{"kind":{"type":"string"},"name":{"type":"string"},"api_access":{"type":"string","enum":["none","read","read_write","unknown"]}},"required":["kind","name","api_access"],"additionalProperties":false}},"goals":{"type":"object","properties":{"processes":{"type":"array","items":{"type":"string"}},"product_count_band":{"type":"string"},"channels":{"type":"array","items":{"type":"string"}},"roles":{"type":"array","items":{"type":"string"}},"traffic_band":{"type":"string"},"ai_needs":{"type":"array","items":{"type":"string"}},"budget_band":{"type":"string"},"support_expectation":{"type":"string"}},"required":["processes","product_count_band","channels","roles","traffic_band","ai_needs","budget_band","support_expectation"],"additionalProperties":false},"build":{"type":"object","properties":{"web_mode":{"type":"string","enum":["NEW","INTEGRATE_EXISTING","NONE"]},"mini_app":{"type":"boolean"},"extra_locales":{"type":"array","items":{"type":"string","enum":["tr","en","es","de","fr","it","pt","zh","ja","ar","ur","hi","pl","nl","sv","da","nb","ru","uk","fi","cs","sk","hu","ro","el","bg","hr","sl","et","lv","lt","ca"]}},"social_setup":{"type":"boolean"}},"required":["web_mode","mini_app","extra_locales","social_setup"],"additionalProperties":false},"products":{"type":"array","items":{"type":"string"}},"operations":{"type":"object","properties":{"level":{"type":"string","enum":["Launch","Operate","Dedicated"]},"support_hours":{"type":"string"},"slo_target":{"type":"string"},"ai_payment_mode":{"type":"string","enum":["prepaid","payg"]}},"required":["level","support_hours","slo_target","ai_payment_mode"],"additionalProperties":false}},"required":["tenant_id","id","version","state","company","existing_systems","goals","build","products","operations"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}]}},"/v1/blueprints/compile":{"post":{"operationId":"blueprint.compile","tags":["W-06"],"summary":"blueprint.compile (blueprint.write; owner Eranative)","x-capability":"blueprint.write","x-owner":"Eranative","x-workset":"W-06","x-idempotent":true,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"tenant_id":{"type":"string","format":"uuid"},"id":{"type":"string","format":"uuid"},"brief_id":{"type":"string","format":"uuid"},"version":{"type":"integer","exclusiveMinimum":true,"minimum":0},"state":{"type":"string","enum":["DRAFT","VALIDATED","APPROVED","SUPERSEDED"]},"scope_hash":{"type":"string","minLength":64,"maxLength":64},"components":{"type":"array","items":{"type":"object","properties":{"component_id":{"type":"string"},"requirement_ids":{"type":"array","items":{"type":"string"}},"template":{"type":"object","properties":{"template_id":{"type":"string"},"version":{"type":"string"}},"required":["template_id","version"],"additionalProperties":false},"overlay":{"type":"object","additionalProperties":{},"default":{}},"owner_ref":{"type":"string","minLength":1,"maxLength":256},"readiness":{"type":"string","enum":["TEMPLATE_READY","STAGING_VERIFIED","PRODUCTION_VERIFIED"]},"price_driver_values":{"type":"object","additionalProperties":{"anyOf":[{"type":"number"},{"type":"string"}]},"default":{}},"dependencies":{"type":"array","items":{"type":"string"},"default":[]}},"required":["component_id","requirement_ids","template","owner_ref","readiness"],"additionalProperties":false}},"unresolved":{"type":"array","items":{"type":"object","properties":{"requirement_id":{"type":"string"},"reason":{"type":"string"}},"required":["requirement_id","reason"],"additionalProperties":false}}},"required":["tenant_id","id","brief_id","version","state","scope_hash","components","unresolved"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"brief_id":{"type":"string","format":"uuid"},"brief_version":{"type":"integer"}},"required":["brief_id","brief_version"],"additionalProperties":false}}}}}},"/v1/blueprints/{id}":{"get":{"operationId":"blueprint.get","tags":["W-06"],"summary":"blueprint.get (blueprint.read; owner Eranative)","x-capability":"blueprint.read","x-owner":"Eranative","x-workset":"W-06","x-idempotent":false,"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"tenant_id":{"type":"string","format":"uuid"},"id":{"type":"string","format":"uuid"},"brief_id":{"type":"string","format":"uuid"},"version":{"type":"integer","exclusiveMinimum":true,"minimum":0},"state":{"type":"string","enum":["DRAFT","VALIDATED","APPROVED","SUPERSEDED"]},"scope_hash":{"type":"string","minLength":64,"maxLength":64},"components":{"type":"array","items":{"type":"object","properties":{"component_id":{"type":"string"},"requirement_ids":{"type":"array","items":{"type":"string"}},"template":{"type":"object","properties":{"template_id":{"type":"string"},"version":{"type":"string"}},"required":["template_id","version"],"additionalProperties":false},"overlay":{"type":"object","additionalProperties":{},"default":{}},"owner_ref":{"type":"string","minLength":1,"maxLength":256},"readiness":{"type":"string","enum":["TEMPLATE_READY","STAGING_VERIFIED","PRODUCTION_VERIFIED"]},"price_driver_values":{"type":"object","additionalProperties":{"anyOf":[{"type":"number"},{"type":"string"}]},"default":{}},"dependencies":{"type":"array","items":{"type":"string"},"default":[]}},"required":["component_id","requirement_ids","template","owner_ref","readiness"],"additionalProperties":false}},"unresolved":{"type":"array","items":{"type":"object","properties":{"requirement_id":{"type":"string"},"reason":{"type":"string"}},"required":["requirement_id","reason"],"additionalProperties":false}}},"required":["tenant_id","id","brief_id","version","state","scope_hash","components","unresolved"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}]}},"/v1/estimates":{"post":{"operationId":"estimate.calculate","tags":["W-06"],"summary":"estimate.calculate (brief.read; owner M7/M12)","x-capability":"brief.read","x-owner":"M7/M12","x-workset":"W-06","x-idempotent":true,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"totals":{"type":"object","properties":{"once":{"type":"string"},"monthly":{"type":"string"},"variable":{"type":"string"}},"required":["once","monthly","variable"],"additionalProperties":false},"known_line_ids":{"type":"array","items":{"type":"string"}},"discovery_required":{"type":"array","items":{"type":"string"}},"completeness":{"type":"string","enum":["READY","PARTIAL"]},"lines":{"type":"array","items":{"type":"object","properties":{"line_id":{"type":"string"},"component_id":{"type":"string","nullable":true},"capability_id":{"type":"string"},"plan_version":{"type":"string","nullable":true},"cadence":{"type":"string","enum":["once","monthly","variable"]},"quantity":{"type":"string","default":"1"},"unit":{"type":"string"},"amount":{"type":"object","properties":{"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"amount":{"type":"string","pattern":"^-?\\d+(\\.\\d{1,8})?$"}},"required":["currency","amount"],"additionalProperties":false,"nullable":true},"price_status":{"type":"string","enum":["INTERNAL_HYPOTHESIS","APPROVED_ESTIMATE_RANGE","BINDING_QUOTE","ACTIVE_TARIFF","OFFER_REQUIRED"]},"included_in":{"type":"string","nullable":true,"default":null},"billable_from":{"type":"string","enum":["acceptance","delivery","activation"],"default":"delivery"},"cancellation_effect":{"type":"string","default":"end_of_term"},"scope_ref":{"type":"string","nullable":true,"default":null}},"required":["line_id","component_id","capability_id","plan_version","cadence","unit","amount","price_status"],"additionalProperties":false}},"binding":{"type":"boolean","enum":[false]},"rate_card_version":{"type":"string"},"scope_hash":{"type":"string","minLength":64,"maxLength":64},"internal":{"type":"object","properties":{"target_margin":{"type":"string"},"once":{"type":"object","properties":{"retail":{"type":"string"},"cost":{"type":"object","properties":{"loaded_labor":{"type":"string"},"hosting":{"type":"string"},"licenses":{"type":"string"},"other_direct":{"type":"string"},"risk":{"type":"string"}},"required":["loaded_labor","hosting","licenses","other_direct","risk"],"additionalProperties":false,"nullable":true},"cost_total":{"type":"string","nullable":true},"contribution_margin":{"type":"string","nullable":true},"gate":{"type":"string","enum":["PASS","FAIL","UNKNOWN","NOT_APPLICABLE"]}},"required":["retail","cost","cost_total","contribution_margin","gate"],"additionalProperties":false},"monthly":{"type":"object","properties":{"retail":{"type":"string"},"cost":{"type":"object","properties":{"loaded_labor":{"type":"string"},"hosting":{"type":"string"},"licenses":{"type":"string"},"other_direct":{"type":"string"},"risk":{"type":"string"}},"required":["loaded_labor","hosting","licenses","other_direct","risk"],"additionalProperties":false,"nullable":true},"cost_total":{"type":"string","nullable":true},"contribution_margin":{"type":"string","nullable":true},"gate":{"type":"string","enum":["PASS","FAIL","UNKNOWN","NOT_APPLICABLE"]}},"required":["retail","cost","cost_total","contribution_margin","gate"],"additionalProperties":false},"margin_gate":{"type":"string","enum":["PASS","FAIL","UNKNOWN"]}},"required":["target_margin","once","monthly","margin_gate"],"additionalProperties":false}},"required":["currency","totals","known_line_ids","discovery_required","completeness","lines","binding","rate_card_version","scope_hash"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"blueprint_id":{"type":"string","format":"uuid"},"scope_hash":{"type":"string","minLength":64,"maxLength":64},"currency":{"type":"string","pattern":"^[A-Z]{3}$"}},"required":["blueprint_id","scope_hash","currency"],"additionalProperties":false}}}}}},"/v1/quotes":{"post":{"operationId":"quote.request","tags":["W-07"],"summary":"quote.request (quote.request; owner M7)","x-capability":"quote.request","x-owner":"M7","x-workset":"W-07","x-idempotent":true,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"tenant_id":{"type":"string","format":"uuid"},"id":{"type":"string","format":"uuid"},"blueprint_id":{"type":"string","format":"uuid"},"quote_version":{"type":"integer","exclusiveMinimum":true,"minimum":0},"state":{"type":"string","enum":["DRAFT","ESTIMATED","REQUESTED","REVIEWED","OFFERED","ACCEPTED","EXPIRED","SUPERSEDED"]},"scope_hash":{"type":"string","minLength":64,"maxLength":64},"rate_card_version":{"type":"string"},"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"merchant_ref":{"type":"string","minLength":1,"maxLength":256,"nullable":true},"tax_profile_ref":{"type":"string","minLength":1,"maxLength":256,"nullable":true},"lines":{"type":"array","items":{"type":"object","properties":{"line_id":{"type":"string"},"component_id":{"type":"string","nullable":true},"capability_id":{"type":"string"},"plan_version":{"type":"string","nullable":true},"cadence":{"type":"string","enum":["once","monthly","variable"]},"quantity":{"type":"string","default":"1"},"unit":{"type":"string"},"amount":{"type":"object","properties":{"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"amount":{"type":"string","pattern":"^-?\\d+(\\.\\d{1,8})?$"}},"required":["currency","amount"],"additionalProperties":false,"nullable":true},"price_status":{"type":"string","enum":["INTERNAL_HYPOTHESIS","APPROVED_ESTIMATE_RANGE","BINDING_QUOTE","ACTIVE_TARIFF","OFFER_REQUIRED"]},"included_in":{"type":"string","nullable":true,"default":null},"billable_from":{"type":"string","enum":["acceptance","delivery","activation"],"default":"delivery"},"cancellation_effect":{"type":"string","default":"end_of_term"},"scope_ref":{"type":"string","nullable":true,"default":null}},"required":["line_id","component_id","capability_id","plan_version","cadence","unit","amount","price_status"],"additionalProperties":false}},"assumptions":{"type":"array","items":{"type":"string"}},"exclusions":{"type":"array","items":{"type":"string"}},"valid_until":{"type":"string","format":"date-time","nullable":true},"document_hash":{"type":"string","minLength":64,"maxLength":64,"nullable":true},"acceptance_ref":{"type":"string","minLength":1,"maxLength":256,"nullable":true}},"required":["tenant_id","id","blueprint_id","quote_version","state","scope_hash","rate_card_version","currency","merchant_ref","tax_profile_ref","lines","assumptions","exclusions","valid_until","document_hash","acceptance_ref"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"blueprint_id":{"type":"string","format":"uuid"},"scope_hash":{"type":"string","minLength":64,"maxLength":64},"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"notes":{"type":"string","maxLength":4000}},"required":["blueprint_id","scope_hash","currency"],"additionalProperties":false}}}}}},"/v1/quotes/{id}":{"get":{"operationId":"quote.get","tags":["W-07"],"summary":"quote.get (quote.read; owner M7)","x-capability":"quote.read","x-owner":"M7","x-workset":"W-07","x-idempotent":false,"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"tenant_id":{"type":"string","format":"uuid"},"id":{"type":"string","format":"uuid"},"blueprint_id":{"type":"string","format":"uuid"},"quote_version":{"type":"integer","exclusiveMinimum":true,"minimum":0},"state":{"type":"string","enum":["DRAFT","ESTIMATED","REQUESTED","REVIEWED","OFFERED","ACCEPTED","EXPIRED","SUPERSEDED"]},"scope_hash":{"type":"string","minLength":64,"maxLength":64},"rate_card_version":{"type":"string"},"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"merchant_ref":{"type":"string","minLength":1,"maxLength":256,"nullable":true},"tax_profile_ref":{"type":"string","minLength":1,"maxLength":256,"nullable":true},"lines":{"type":"array","items":{"type":"object","properties":{"line_id":{"type":"string"},"component_id":{"type":"string","nullable":true},"capability_id":{"type":"string"},"plan_version":{"type":"string","nullable":true},"cadence":{"type":"string","enum":["once","monthly","variable"]},"quantity":{"type":"string","default":"1"},"unit":{"type":"string"},"amount":{"type":"object","properties":{"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"amount":{"type":"string","pattern":"^-?\\d+(\\.\\d{1,8})?$"}},"required":["currency","amount"],"additionalProperties":false,"nullable":true},"price_status":{"type":"string","enum":["INTERNAL_HYPOTHESIS","APPROVED_ESTIMATE_RANGE","BINDING_QUOTE","ACTIVE_TARIFF","OFFER_REQUIRED"]},"included_in":{"type":"string","nullable":true,"default":null},"billable_from":{"type":"string","enum":["acceptance","delivery","activation"],"default":"delivery"},"cancellation_effect":{"type":"string","default":"end_of_term"},"scope_ref":{"type":"string","nullable":true,"default":null}},"required":["line_id","component_id","capability_id","plan_version","cadence","unit","amount","price_status"],"additionalProperties":false}},"assumptions":{"type":"array","items":{"type":"string"}},"exclusions":{"type":"array","items":{"type":"string"}},"valid_until":{"type":"string","format":"date-time","nullable":true},"document_hash":{"type":"string","minLength":64,"maxLength":64,"nullable":true},"acceptance_ref":{"type":"string","minLength":1,"maxLength":256,"nullable":true}},"required":["tenant_id","id","blueprint_id","quote_version","state","scope_hash","rate_card_version","currency","merchant_ref","tax_profile_ref","lines","assumptions","exclusions","valid_until","document_hash","acceptance_ref"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}]}},"/v1/quotes/{id}/accept":{"post":{"operationId":"quote.accept","tags":["W-07"],"summary":"quote.accept (quote.accept; owner M7/L2)","x-capability":"quote.accept","x-owner":"M7/L2","x-workset":"W-07","x-idempotent":true,"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"quote":{"type":"object","properties":{"tenant_id":{"type":"string","format":"uuid"},"id":{"type":"string","format":"uuid"},"blueprint_id":{"type":"string","format":"uuid"},"quote_version":{"type":"integer","exclusiveMinimum":true,"minimum":0},"state":{"type":"string","enum":["DRAFT","ESTIMATED","REQUESTED","REVIEWED","OFFERED","ACCEPTED","EXPIRED","SUPERSEDED"]},"scope_hash":{"type":"string","minLength":64,"maxLength":64},"rate_card_version":{"type":"string"},"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"merchant_ref":{"type":"string","minLength":1,"maxLength":256,"nullable":true},"tax_profile_ref":{"type":"string","minLength":1,"maxLength":256,"nullable":true},"lines":{"type":"array","items":{"type":"object","properties":{"line_id":{"type":"string"},"component_id":{"type":"string","nullable":true},"capability_id":{"type":"string"},"plan_version":{"type":"string","nullable":true},"cadence":{"type":"string","enum":["once","monthly","variable"]},"quantity":{"type":"string","default":"1"},"unit":{"type":"string"},"amount":{"type":"object","properties":{"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"amount":{"type":"string","pattern":"^-?\\d+(\\.\\d{1,8})?$"}},"required":["currency","amount"],"additionalProperties":false,"nullable":true},"price_status":{"type":"string","enum":["INTERNAL_HYPOTHESIS","APPROVED_ESTIMATE_RANGE","BINDING_QUOTE","ACTIVE_TARIFF","OFFER_REQUIRED"]},"included_in":{"type":"string","nullable":true,"default":null},"billable_from":{"type":"string","enum":["acceptance","delivery","activation"],"default":"delivery"},"cancellation_effect":{"type":"string","default":"end_of_term"},"scope_ref":{"type":"string","nullable":true,"default":null}},"required":["line_id","component_id","capability_id","plan_version","cadence","unit","amount","price_status"],"additionalProperties":false}},"assumptions":{"type":"array","items":{"type":"string"}},"exclusions":{"type":"array","items":{"type":"string"}},"valid_until":{"type":"string","format":"date-time","nullable":true},"document_hash":{"type":"string","minLength":64,"maxLength":64,"nullable":true},"acceptance_ref":{"type":"string","minLength":1,"maxLength":256,"nullable":true}},"required":["tenant_id","id","blueprint_id","quote_version","state","scope_hash","rate_card_version","currency","merchant_ref","tax_profile_ref","lines","assumptions","exclusions","valid_until","document_hash","acceptance_ref"],"additionalProperties":false},"contract_ref":{"type":"string","minLength":1,"maxLength":256},"order_id":{"type":"string","format":"uuid"},"receipt":{"type":"object","properties":{"ownerRef":{"type":"string","minLength":1,"maxLength":256},"resourceRef":{"type":"string","minLength":1,"maxLength":256},"revision":{"type":"string"},"auditRef":{"type":"string","minLength":1,"maxLength":256},"synthetic":{"type":"boolean","default":false}},"required":["ownerRef","resourceRef","revision","auditRef"],"additionalProperties":false}},"required":["quote","contract_ref","order_id","receipt"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"quote_version":{"type":"integer"},"scope_hash":{"type":"string","minLength":64,"maxLength":64},"document_hash":{"type":"string","minLength":64,"maxLength":64},"accepted_by":{"type":"object","properties":{"name":{"type":"string"},"title":{"type":"string"},"authority_evidence_ref":{"type":"string","minLength":1,"maxLength":256}},"required":["name","title","authority_evidence_ref"],"additionalProperties":false}},"required":["quote_version","scope_hash","document_hash","accepted_by"],"additionalProperties":false}}}}}},"/v1/change-requests":{"post":{"operationId":"change.request","tags":["W-07"],"summary":"change.request (blueprint.write; owner M7)","x-capability":"blueprint.write","x-owner":"M7","x-workset":"W-07","x-idempotent":true,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"change_request_id":{"type":"string","format":"uuid"},"new_blueprint_id":{"type":"string","format":"uuid"},"new_scope_hash":{"type":"string","minLength":64,"maxLength":64},"receipt":{"type":"object","properties":{"ownerRef":{"type":"string","minLength":1,"maxLength":256},"resourceRef":{"type":"string","minLength":1,"maxLength":256},"revision":{"type":"string"},"auditRef":{"type":"string","minLength":1,"maxLength":256},"synthetic":{"type":"boolean","default":false}},"required":["ownerRef","resourceRef","revision","auditRef"],"additionalProperties":false}},"required":["change_request_id","new_blueprint_id","new_scope_hash","receipt"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}},"security":[{"bearerAuth":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"quote_id":{"type":"string","format":"uuid"},"blueprint_id":{"type":"string","format":"uuid"},"description":{"type":"string","minLength":1},"proposed_overlay":{"type":"object","additionalProperties":{},"default":{}}},"required":["quote_id","blueprint_id","description"],"additionalProperties":false}}}}}},"/v1/cart/checkout":{"post":{"operationId":"cart.checkout","tags":["W-08"],"summary":"cart.checkout (cart.purchase; owner M7)","x-capability":"cart.purchase","x-owner":"M7","x-workset":"W-08","x-idempotent":true,"parameters":[{"name":"X-Purpose","in":"header","required":false,"schema":{"type":"string"}},{"name":"X-Correlation-Id","in":"header","required":false,"schema":{"type":"string"}},{"name":"Idempotency-Key","in":"header","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"order_id":{"type":"string","format":"uuid"},"checkout_url":{"type":"string","format":"uri"},"provider_session_ref":{"type":"string","minLength":1,"maxLength":256},"expires_at":{"type":"string","format":"date-time"},"totals":{"type":"object","properties":{"currency":{"type":"string","pattern":"^[A-Z]{3}$"},"once":{"type":"string"},"monthly":{"type":"string"},"due_now":{"type":"string"}},"required":["currency","once","monthly","due_now"],"additionalProperties":false},"receipt":{"type":"object","properties":{"ownerRef":{"type":"string","minLength":1,"maxLength":256},"resourceRef":{"type":"string","minLength":1,"maxLength":256},"revision":{"type":"string"},"auditRef":{"type":"string","minLength":1,"maxLength":256},"synthetic":{"type":"boolean","default":false}},"required":["ownerRef","resourceRef","revision","auditRef"],"additionalProperties":false}},"required":["order_id","checkout_url","provider_session_ref","expires_at","totals","receipt"],"additionalProperties":false}}}},"400":{"description":"Error (VALIDATION)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Error (UNAUTHENTICATED)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"403":{"description":"Error (FORBIDDEN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"Error (NOT_FOUND)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"409":{"description":"Error (CONFLICT)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"410":{"description":"Error (GONE)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"422":{"description":"Error (MERCHANT_UNKNOWN)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"429":{"description":"Error (RATE_OR_BUDGET)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"500":{"description":"Error (INTERNAL)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"503":{"description":"Error (OWNER_UNAVAILABLE)","content":{"applic
[...]
